{% extends 'base.html' %}
{% set person = config["PEOPLE"][person_slug] %}

{% block head %}
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='css/candidate_opinions.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='css/select2.css') }}"
	>
	
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/open-sans/style.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/bebas-neue/style.css') }}"
	>
{% endblock %}

{% block current_page %}Odpovědi - {{ person["name"] }}{% endblock %}

{% block description %}Shoda kandidáta {{ person["name"] }} s naším programem.{% endblock %}

{% block content %}
	<header>
		<h1>Odpovědi - {{ person["name"] }}</h1>
	</header>
	
	<main>
		<section class="person">
			<div class="person-image">
				<img
					src="{{ url_for('static', filename='images/people/' + person_slug + '.png') }}"
					alt="Fotka osoby {{ person["name"] }}"
				>
				
				<div class="person-agreement-percentage">
					<div
						class="person-agreement-percentage-bar"
						style="width:{{ cached_results["people"][person_slug]["percentage"] }}%;animation-delay:-{{ cached_results["people"][person_slug]["percentage"] / 100 }}s"
					>
						<span
							class="person-agreement-percentage-number"
						>Shoda {{ cached_results["people"][person_slug]["percentage"] }}%</span>
					</div>
				</div>
			</div>
			
			<div class="person-description">
				<h2>{{ person["name"] }}</h2>
				
				<tt style="background:grey;color:white;padding:5px">Sem patří popis kandidáta, odkazy, atd.</tt>
			</div>
		</section>
		
		<div class="questions">
			{% for slug, question in config["QUESTIONS"].items() %}
				{% set answer = question["responses"][person_slug] %}
				
				<h2>{{ question["content"] }}</h2>
				
				<div class="question-answers">
					<div class="question-answer question-answer-pos-full">
						<input
							type="checkbox"
							id="{{ slug }}-pos-full"
							name="{{ slug }}-pos-full"
							autocomplete="off"
							disabled
							{% if answer == config["POINTS"]["pos-full"] %}checked{% endif %}
						>
						
						<label
							id="{{ slug }}-pos-full-label"
							for="{{ slug }}-pos-full"
						></label>
					</div>
					
					<div class="question-answer question-answer-pos-half">
						<input
							type="checkbox"
							id="{{ slug }}-pos-half"
							name="{{ slug }}-pos-half"
							autocomplete="off"
							disabled
							{% if answer == config["POINTS"]["pos-half"] %}checked{% endif %}
						>
						
						<label
							id="{{ slug }}-pos-half-label"
							for="{{ slug }}-pos-half"
						></label>
					</div>
					
					<div class="question-answer question-answer-neut">
						<input
							type="checkbox"
							id="{{ slug }}-neut"
							name="{{ slug }}-neut"
							autocomplete="off"
							disabled
							{% if answer == config["POINTS"]["neut"] %}checked{% endif %}
						>
						
						<label
							id="{{ slug }}-neut-label"
							for="{{ slug }}-neut"
						></label>
					</div>
					
					<div class="question-answer question-answer-neg-half">
						<input
							type="checkbox"
							id="{{ slug }}-neg-half"
							name="{{ slug }}-neg-half"
							autocomplete="off"
							disabled
							{% if answer == config["POINTS"]["neg-half"] %}checked{% endif %}
						>
						
						<label
							id="{{ slug }}-neg-half-label"
							for="{{ slug }}-neg-half"
						></label>
					</div>
					
					<div class="question-answer question-answer-neg-full">
						<input
							type="checkbox"
							id="{{ slug }}-neg-full"
							name="{{ slug }}-neg-full"
							autocomplete="off"
							disabled
							{% if answer == config["POINTS"]["neg-full"] %}checked{% endif %}
						>
						
						<label
							id="{{ slug }}-neg-full-label"
							for="{{ slug }}-neg-full"
						></label>
					</div>
				</div>
			{% endfor %}
		</div>
		
		<a
			class="back-to-main"
			href="{{ url_for('calculator.view_candidates_responses') }}"
		><img
			src="{{ url_for('static', filename='images/back.svg') }}"
			width="25"
			height="25"
		>Zpět ke všem kandidátům</a>
	</main>
{% endblock %}
